#!/bin/bash

BAUDRATE=19200

./lin reset /dev/plin0
./lin start master $BAUDRATE /dev/plin0

./lin set id-filter 0xff:0xff:0xff:0xff:0xff:0xff:0xff:0xff /dev/plin0
./lin get status /dev/plin0

# send 01 23 45 67 89 AB CD EF
./lin set pfe 32 -d "1 35 69 103 137 171 205 239" -r --cs-enhanced /dev/plin0
# Add unconditional Slot to schedule, to be sent every 20ms
./lin add sig 0 20 32 /dev/plin0

# set up Subscriber Frames 33-38 to be send every 30ms
./lin set sfe 33 -l 8 --cs-enhanced /dev/plin0
./lin add sig 0 30 33 /dev/plin0
./lin set sfe 34 -l 8 --cs-enhanced /dev/plin0
./lin add sig 0 30 34 /dev/plin0
./lin set sfe 35 -l 8 --cs-enhanced /dev/plin0
./lin add sig 0 30 35 /dev/plin0
./lin set sfe 36 -l 8 --cs-enhanced /dev/plin0
./lin add sig 0 30 36 /dev/plin0
./lin set sfe 37 -l 8 --cs-enhanced /dev/plin0
./lin add sig 0 30 37 /dev/plin0
./lin set sfe 38 -l 8 --cs-enhanced /dev/plin0
./lin add sig 0 30 38 /dev/plin0

# start the scheduler
./lin start schedule 0 /dev/plin0
